'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = prompt;

var _readline = require('readline');

var _readline2 = _interopRequireDefault(_readline);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function prompt(question) {
  return new Promise(resolve => {
    const r = _readline2.default.createInterface({
      input: process.stdin,
      output: process.stdout
    });

    r.question(question, function (answer) {
      r.close();
      resolve(answer);
    });

    r.on('SIGINT', () => {
      process.exit();
    });
  });
}